package ast;

import java.util.List;

public class Call extends Exp {
	public Exp func;
	public List<Exp> args;
	
	public Call(Exp func, List<Exp> args, int line, int col) {
		super(line, col);
		this.func = func;
		this.args = args;
	}

	@Override
	public Object eval(Environment<Object> env) {
		Func vfunc = (Func)func.eval(env);
		Object[] oargs = new Object[args.size()];
		for(int i = 0; i < oargs.length; i++)
			oargs[i] = args.get(i).eval(env);
		/*
		// Escopo dinâmico
		if(vfunc instanceof FuncVal) {
			((FuncVal)vfunc).env = env;
		}*/
		return vfunc.apply(oargs);
	}

	@Override
	public String label() {
		return "call";
	}

}
